Subject: Re: [apps-discuss] [port-srv-reg] New Version Notification for draft-gudmundsson-dnsext-srv-clarify-00

From: Joe Touch <[email-masked]>
Date: Thu, 01 Jul 2010 10:01:42 -0700

Peter Saint-Andre wrote:
> A point of clarification...
> 
> On 6/30/10 4:01 PM, Joe Touch wrote:
> 
>> "xmpp" is does not have an Assigned Number, and is not being used 'locally', and
>> was never registered with the SRV registry either. Yes, there appear to be a few
>> other uses of SRV records other than for the kind of services indicated in the
>> IANA ports tale or the SRV registry.
> 
> XMPP does have two registered ports (5222 and 5269)

Agreed - neither is listed as "xmpp", though.

"xmpp-client" and "xmpp-server" are both listed in IANA ports and in the DNS SRV
registry, though.

The point above is about using "xmpp" as the service string.

> but the XMPP WG has
> been waiting for the service registry issue to be settled before adding
> the appropriate service name registration to the IANA considerations for
> draft-ietf-xmpp-3920bis, which is currently in WGLC.
> 
> See for instance:
> 
> http://www.ietf.org/mail-archive/web/xmpp/current/msg00313.html
> 
> Peter
>

---

From: Joe Touch <[email-masked]>
Date: Thu, 01 Jul 2010 11:12:16 -0700

Peter Saint-Andre wrote:
> On 7/1/10 11:01 AM, Joe Touch wrote:
>> Peter Saint-Andre wrote:
> Could you clarify what it means to use something "locally"?

That's the text RFC 2782; I presume it means "has meaning at the two endpoints,
rather than in an IANA registry".

> Correct.
> Is this a reference to the IM and presence SRV label registries called
> for by RFC 3861?

Yes. Those seem like they would need to be in the SRV registry, not a separate
registry, AFAICT. The problem is that RFC3861 is using these labels in a way
that seems a bit inconsistent with what is expected from RFC2782:

	_im._bip.example.com

I.e., 2872 seems like it would expect, e.g., adding _im or _pres in front of
_bip in front of a transport protocol string:

	_im._bip._tcp.example.com (or for _udp)
	
	_pres._bip._tcp.example.com (or for _udp)

RFC3861 omits the transport protocol in that string.

The example in RFC 3920 is consistent with RFC2782, IMO:

	_xmpp-client._tcp.example.com

As is RFC 3263:

	_sip._tcp.example.com

Joe

> http://www.iana.org/assignments/im-srv-labels/im-srv-labels.xhtml
> 
> http://www.iana.org/assignments/pres-srv-labels/pres-srv-labels.xhtml
> 
> Peter
>

---

From: Joe Touch <[email-masked]>
Date: Thu, 01 Jul 2010 11:12:16 -0700

_im._bip.example.com

	

As is RFC 3263:

	_sip._tcp.example.com

Joe